Photoshop CS2 Compatibility

General discussions ColorWasher, FocalBlade, LightMachine, B/W Styler and ContrastMaster
DDR
Plugin Master
Plugin Master
Posts: 27
Joined: Thu Apr 18, 2013 12:32 pm

Photoshop CS2 Compatibility

Postby DDR » Mon Apr 24, 2017 5:42 pm

Will PhotoWiz 2017 Plugin be compatible with such old versions of Photoshop as CS2? I am curious because the following obvious reason. I work with Photoshop CS6; it goes fast on my 8Gb RAM laptop. Just because CS6 needs 1Gb RAM. But it will expectedly be striking on a planschet: most modern (non-expensive priced) planchets have only 2Gb RAM. I am intersting in work on a planschet. Photoshop CS2 needs only 320 Mb RAM, while PS CS3 needs 512 Mb RAM. They should work on a 2Gb planschet good... But how they are compatible with PhotoWiz? This is why I ask now: did somebody try to install/work with PhotoWiz 2017 plugin(s) version under Photoshop CS2 or CS3?

Add-on: I understand that PhotoWiz Standalones need a very small RAM, so work on any planschet under Win'10, and this is satisfying me anyhow. But if the Plugin version will work under PS CS2 or CS3, it ould be as well good.

HaraldHeim
Plugin Guru
Plugin Guru
Posts: 3333
Joined: Fri Mar 08, 2002 1:00 am
Location: The Plugin Site
Contact:

Re: Photoshop CS2 Compatibility

Postby HaraldHeim » Mon Apr 24, 2017 6:04 pm

Sorry, but I had to move your post to a new topic as it had nothing to do with the other posts.

By the way, I think you mean "tablet" and not "planschet". It is well worth the higher price to get a tablet pc with 4 GB RAM, because these run Windows 64-bit. This will give you more speed and headroom for processing larger images or working with many layers. You can easily run Photoshop CS6 on such a device.

But to answer your question:

On the Mac the PhotoWiz plugins work in Photoshop CS3 and newer, but you can always write us and request an older version that works in Photoshop 7, CS and CS2.

Under Windows the PhotoWiz plugins work in Photoshop 3 to 7, CS to CS6, CC to CC 2017. So they work in all Photoshop versions except 1.0, 2.0 and 2.5, because these 20+ year old Photoshop versions were still 16-bit programs and did not support 32-bit plugins.

Yes, the PhotoWiz standalones only need up to 10 MB RAM without any image open. Additionally they only have one image open at a time, so the maximum used RAM is quite limited.


Return to “PhotoWiz General”

Who is online

Users browsing this forum: No registered users and 1 guest